about summary refs log tree commit diff stats
path: root/home-manager/config/river/init
diff options
context:
space:
mode:
authorene <ene@sils.li>2023-02-19 22:55:56 +0100
committerene <ene@sils.li>2023-02-19 22:55:56 +0100
commit1330d4a5e1be158d4053b6f93665a43066c45a7b (patch)
tree255f38478aaeba3e8f0c006c8478a6e7a21e772b /home-manager/config/river/init
parentFeat(home-manager): Actually deploy the packages (diff)
downloadnixos-config-1330d4a5e1be158d4053b6f93665a43066c45a7b.tar.gz
nixos-config-1330d4a5e1be158d4053b6f93665a43066c45a7b.zip
Fix(river): Record the deps for the init script
Diffstat (limited to 'home-manager/config/river/init')
-rwxr-xr-xhome-manager/config/river/init7
1 files changed, 3 insertions, 4 deletions
diff --git a/home-manager/config/river/init b/home-manager/config/river/init
index 4c49489a..2f14fcaa 100755
--- a/home-manager/config/river/init
+++ b/home-manager/config/river/init
@@ -1,11 +1,10 @@
-#!/bin/sh
+#!/usr/bin/env dash
 # shellcheck disable=SC2086
 # shellcheck source=/dev/null
-. ~/.local/lib/shell/lib
+. %SHELL_LIBRARY_PATH
 
 err_fail() {
-    "$@"
-    if [ $? -ne 0 ] ;then
+    if ! "$@";then
         printf "%s\n" "$@" >> ~/river_log
         exec ~/.config/river/res/safe_init
     fi